import csv
from sklearn.naive_bayes import CategoricalNB
from sklearn.metrics import classification_report

filename_train = "train.csv"
filename_test  = "test.csv"

def read_dataset(filename):
  x = []
  y = []
  with open(filename, newline='') as csvfile:
    next(csvfile)
    reader = csv.reader(csvfile, delimiter=',')
    for row in reader:
      y.append(int(row[0]))
      x.append([int(pixel) for pixel in row[1:]])
  return (x,y)


x_train, y_train = read_dataset(filename_train)
x_test, y_test = read_dataset(filename_test)

nb = CategoricalNB(min_categories=256)
nb.fit(x_train[:2500], y_train[:2500])

h_test = nb.predict(x_test)

print(classification_report(y_test, h_test))